Bug Hunting Session
Bug 104592 - Spell check doesn't work with manual hyphenation like it does with automatic hyphenation
Summary: Spell check doesn't work with manual hyphenation like it does with automatic ...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
5.1.6.2 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Spell-Checking
  Show dependency treegraph
 
Reported: 2016-12-11 22:28 UTC by Kruno
Modified: 2018-05-12 08:43 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kruno 2016-12-11 22:28:54 UTC
Some words are written with hyphen: state-of-the-art, majority is not. With Hunspell, we have two possibilities: treat hyphen as part of the word, or as brake point so spell checker is checking every part of such compounded word separately.

Let's say we choose first approach because suggestion mechanism is working better this way. Now, hyphen is nothing more then character like every other letter in alphabet. This is the way English dictionary is treating apostrophe.

If automatic hyphenation is enabled, hyphenated words are not marked as misspelled when hyphenated at the very end of a line, but if I put hyphen manually, words is flagged as misspelled.

Think that there should not be difference between automatic and manual hyphenation. If hyphen causes word to break into another line, spell checking should be preformed like word is not hyphenated at all.

Recapitulation: 'com-puter' is not flagged as misspelled if hyphenated like this automatically, but it is if hyphen is inserted manually.
Comment 1 Buovjaga 2016-12-14 13:34:57 UTC
Confirmed by manual hyphenation Ctrl+hyphen.

Win 7 Pro 64-bit, Version: 5.2.3.3 (x64)
Build ID: d54a8868f08a7b39642414cf2c8ef2f228f780cf
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
Locale: fi-FI (fi_FI); Calc: CL
Comment 2 Kruno 2016-12-14 17:48:44 UTC
Actually, I noticed it when plain hyphen inserted at the end of the line, not if CTRL + hyphen is used. Think that manually inserted soft hyphen works as expected. To me it happens with regular hyphen that causes word hyphenation. For what I can see, automatic hyphenation is not using soft hyphen, at least it's not marked as one with gray background.
Comment 3 QA Administrators 2017-12-15 07:45:48 UTC Comment hidden (obsolete)
Comment 4 Kruno 2018-05-12 08:36:54 UTC
Hm... Seams that spell-checking works when manual hyphenation added with LibreOffice 6.0.4.1. I guess this is fixed then?

One more thing can be improved: accepting correction for manually hyphenated word strips hyphen when accepting suggestion. Maybe Hunspell's fault? Can LibreOffice interfere and and hyphen? Should I open new bug report about this?
Comment 5 Buovjaga 2018-05-12 08:38:48 UTC
(In reply to Kruno from comment #4)
> Hm... Seams that spell-checking works when manual hyphenation added with
> LibreOffice 6.0.4.1. I guess this is fixed then?
> 
> One more thing can be improved: accepting correction for manually hyphenated
> word strips hyphen when accepting suggestion. Maybe Hunspell's fault? Can
> LibreOffice interfere and and hyphen? Should I open new bug report about
> this?

Yes, please open a new report. If you suspect Hunspell, you can report it to them: https://github.com/hunspell/hunspell/issues
Comment 6 Kruno 2018-05-12 08:43:29 UTC
I'll try ask Hunepll folks about this, but it may also be that LO strips hyphen and passes word to Husnpell without hyphen so no hyphen in - no hyphen out...